Requirements

.NET

.NET Core

  • .NET Core 2.1 or .NET Core 3.1

.NET Framework

  • >= .NET Framework 4.6.1

Visual Studio

Version

  • Visual Studio 2017 or
  • Visual Studio 2019

We recommend using always the latest version of Visual Studio

Workloads

  • ASP.NET and web development or
  • .NET Desktop environment or
  • .NET Core cross- platform development

Project Setup

  • Project folder should not be too deep in the filesystem, as you will get problems with Windows 255 character limit in file paths